import request from '@/utils/request'

// 查询播报内容列表
export function listBroadcastContent(query) {
  return request({
    url: '/base/broadcastContent/list',
    method: 'get',
    params: query
  })
}

// 查询播报内容详细
export function getBroadcastContent(id) {
  return request({
    url: '/base/broadcastContent/' + id,
    method: 'get'
  })
}

// 新增播报内容
export function addBroadcastContent(data) {
  return request({
    url: '/base/broadcastContent',
    method: 'post',
    data: data
  })
}

// 修改播报内容
export function updateBroadcastContent(data) {
  return request({
    url: '/base/broadcastContent',
    method: 'put',
    data: data
  })
}

// 删除播报内容
export function delBroadcastContent(id) {
  return request({
    url: '/base/broadcastContent/' + id,
    method: 'delete'
  })
}
